org.h2.mvstore.tx

## Class VersionedValueType.Factory<D>

- java.lang.Object
- - org.h2.mvstore.tx.VersionedValueType.Factory<D>

All Implemented Interfaces:
  StatefulDataType.Factory<D>

Enclosing class:
  VersionedValueType<T,D>

    public static final class VersionedValueType.Factory<D>
    extends java.lang.Object
    implements StatefulDataType.Factory<D>

### Constructor Summary

Constructors
Constructor and Description
`Factory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataType<?>` `create(java.nio.ByteBuffer buff, MetaType<D> metaType, D database)` Reads the data type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Factory

    public Factory()

### Method Detail

#### create

    public DataType<?> create(java.nio.ByteBuffer buff,
                              MetaType<D> metaType,
                              D database)

Description copied from interface: `StatefulDataType.Factory`
Reads the data type.

Specified by:
  `create` in interface `StatefulDataType.Factory<D>`
Parameters:
  `buff` - the buffer the source buffer
  `metaType` - the type
  `database` - the database
Returns:
  the data type